Jump to content

Convert vla-insertionpoint to autolisp list


ollie

Recommended Posts

maybe something like this?

(setq obj (vlax-ename->vla-object (car (entsel)))
     var (vla-get-insertionpoint obj)
      sa (vlax-variant-value var)
  ip-lst (vlax-safearray->list sa)
)

Link to comment
Share on other sites

maybe something like this?

(setq obj (vlax-ename->vla-object (car (entsel)))
     var (vla-get-insertionpoint obj)
      sa (vlax-variant-value var)
  ip-lst (vlax-safearray->list sa)
)

 

Thanks that is ideal. I tried this method earlier without the variant value and it didn't work

  • Like 1
Link to comment
Share on other sites

Another way:

 

(vlax-get Obj 'InsertionPoint)

Hey! No fair using undocumented functions!

Where do you find these?

Link to comment
Share on other sites

That's a good one... works for all available properties (from Dump)?

 

Yeah, just an alternative to the usual. I haven't had a problem with it yet, although there are bugs out there where some methods/properties respond to different functions in different ways.

 

Lee

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Restore formatting

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

×
×
  • Create New...